Announcement

Collapse
No announcement yet.

VB Connect 5.6.4 install

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • VB Connect 5.6.4 install

    I'm setting up a new VM on Digital Ocean and having a hell of a time getting VB to work.

    I've ran the install, deleted the install folder, clicked login to the admincp and it goes here. ( see attachment) logging in does not work, pages like memberlist etc do not work.
    I've created another droplet and having the same issue. apache2 LMAP stack on Debian 10.

    Had somewhat of the same issues on another forum I recently migrated but that was the .htaccess file not being renamed. I've spent the better part of a day googling and searching these forums and I'm stuck.

    I'm wondering if there is something on the VM I have not installed that would be causing this.

    any ideas?

    Fame is vapor, popularity an accident, riches take wings. Only one thing endures and that is Character

    Rat Rod City

  • #2
    This is mentioned in the vb5readme.html and the Quick Install overview on these forums - https://forum.vbulletin.com/forum/vb...39#post4391639

    After installing vBulletin 5, my site is unformatted
    This means that URL Rewriting is not working on your site. Possible causes include:
    • htaccess.txt has not been renamed to .htaccess (the leading period is important)
    • mod_rewrite is not installed for Apache 2.4
    • AllowOverride is not allowed in the Apache configuration file.
    Translations provided by Google.

    Wayne Luke
    The Rabid Badger - a vBulletin Cloud demonstration site.
    vBulletin 5 API

    Comment


    • #3
      Thanks Wayne.. 2nd pr of eyes always helps.. AllowOverride fixed it
      Fame is vapor, popularity an accident, riches take wings. Only one thing endures and that is Character

      Rat Rod City

      Comment


      • #4
        ok, now I am getting a different error.

        Step 141 - PHP Warning: get_class() expects parameter 1 to be object, bool given in phar:///var/www/forum/core/vb/vb.phar/library/content.php on line 2656
        Error Could not find phrase 'incorrect_content_class_called'. Arguments given were: "vB_Library_Content_Channel", "2", "'
        ## phar:///var/www/forum/core/vb/vb.phar/library/content.php(2662) Exception Thrown
        #0 phar:///var/www/forum/core/vb/vb.phar/library/content.php(2567): vB_Library_Content->getRawContent(Array)
        #1 phar:///var/www/forum/core/vb/vb.phar/library/content/channel.php(401): vB_Library_Content->getFullContent(Array)
        #2 phar:///var/www/forum/core/vb/vb.phar/api/content.php(459): vB_Library_Content_Channel->getFullContent(2)
        #3 phar:///var/www/forum/core/vb/vb.phar/api/content.php(446): vB_Api_Content->getFullContent(2, Array)
        #4 phar:///var/www/forum/core/vb/vb.phar/api/content/channel.php(110): vB_Api_Content->getContent(2, Array)
        #5 /var/www/forum/core/vb5/route/channel.php(130): vB_Api_Content_Channel->fetchChannelById(2)
        #6 /var/www/forum/core/vb5/route/channel.php(100): vB5_Route_Channel::createPrefix('2', 'lightwave-3d-su...')
        #7 phar:///var/www/forum/core/vb/vb.phar/library/content/channel.php(164): vB5_Route_Channel::validatePrefix(Array)
        #8 /var/www/forum/core/install/includes/class_upgrade_500a1.php(2593): vB_Library_Content_Channel->add(Array, Array)
        #9 /var/www/forum/core/install/includes/class_upgrade.php(2593): vB_Upgrade_500a1->step_141(Array)
        #10 /var/www/forum/core/install/includes/class_upgrade_cli.php(326): vB_Upgrade_Version->execute_step(141, true, Array)
        #11 /var/www/forum/core/install/includes/class_upgrade_cli.php(288): vB_Upgrade_Cli->execute_step(141, Object(vB_Upgrade_500a1))
        #12 /var/www/forum/core/install/includes/class_upgrade_cli.php(166): vB_Upgrade_Cli->process_script('500a1')
        #13 /var/www/forum/core/install/includes/class_upgrade.php(1028): vB_Upgrade_Cli->init(NULL)
        #14 /var/www/forum/core/install/includes/class_upgrade_cli.php(90): vB_Upgrade_Abstract->__construct(Object(vB_Registry), Array, 'upgrade', NULL, Array)
        #15 /var/www/forum/core/install/includes/class_upgrade.php(112): vB_Upgrade_Cli->__construct(Object(vB_Registry), Array, 'upgrade', NULL, Array)
        #16 /var/www/forum/core/install/upgrade.php(156): vB_Upgrade::fetch_library(Object(vB_Registry), Array, '', true)

        I read another post where it mentioned the blogs, and activity were turned off on the old one, so I went back and turned those on did another backup and I still get this error. I've been using VB since 2004 or 2003 and I have never had so many issues doing a upgrade.



        Fame is vapor, popularity an accident, riches take wings. Only one thing endures and that is Character

        Rat Rod City

        Comment

        Related Topics

        Collapse

        Working...
        X